import request from '@/utils/request'

// 查询物料汇总列表
export function listTotal(query) {
  return request({
    url: '/system/total/list',
    method: 'get',
    params: query
  })
}

// 查询物料汇总详细
export function getTotal(id) {
  return request({
    url: '/system/total/' + id,
    method: 'get'
  })
}

// 新增物料汇总
export function addTotal(data) {
  return request({
    url: '/system/total',
    method: 'post',
    data: data
  })
}

// 修改物料汇总
export function updateTotal(data) {
  return request({
    url: '/system/total',
    method: 'put',
    data: data
  })
}

// 删除物料汇总
export function delTotal(id) {
  return request({
    url: '/system/total/' + id,
    method: 'delete'
  })
}
